Bug 464857 - Update rtcheck to v0.7-4
Update rtcheck to v0.7-4
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-utilities (Show other bugs)
1.0
ia32e All
medium Severity medium
: 1.1
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 17:02 EDT by IBM Bug Proxy
Modified: 2009-02-04 10:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:27:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rtcheck.c version 7-4 (updated) (14.19 KB, text/plain)
2008-09-30 17:02 EDT, IBM Bug Proxy
no flags Details
Updated rtcheck with a changelog and init script (7.80 KB, application/octet-stream)
2008-11-04 12:03 EST, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-09-30 17:02:04 EDT
The version of rtcheck in MRG has a number of issues which have resolved in this
latest version (attached below).  They include:

Updates include:
o whitespace cleanups
o reimplemented output macros (greatly reduced code size)
o removal of hrtimer loop (runs much faster now)
o use clock_gettime(CLOCK_MONOTONIC,...) instead of gtod()
o use clock_nanosleep() instead of nanosleep()
o sleep for measurable period of time (50us) rather than 1ns (which is a no-op
system call basically)
o verbose flag always prints reported values (not just on fail)
o verbose flag always reruns tests (ignores cache)
o new -p priority option
o test is run by default as SCHED_FIFO 95 (rather than SCHED_OTHER)
o test is run with mlockall(CURRENT|FUTURE) to avoid paging induced latencies
o cleaned up output formatting for verbose flag (more intuitive messages)

rtcheck.c version 7-4 (updated)

Updated version of rtcheck.c with ns aware clock resolution reporting.
Comment 1 IBM Bug Proxy 2008-09-30 17:02:09 EDT
Created attachment 318126 [details]
rtcheck.c version 7-4 (updated)
Comment 2 Clark Williams 2008-10-21 14:09:34 EDT
can I get a CHANGELOG updated for 0.7.4? Better yet, do you have a tarball with all the things needed (Makefile, rtcheck.c, CHANGELOG, INSTALL, README, TODO)?
Comment 3 Clark Williams 2008-10-23 14:09:31 EDT
build rtcheck-0.7.4-2 from tarball supplied by IBM

Scheduled to deliver in MRG 1.1
Comment 4 IBM Bug Proxy 2008-11-04 12:03:27 EST
Created attachment 322448 [details]
Updated rtcheck with a changelog and init script

Please update to this latest version of rtcheck (0.7.5) which includes a full
CHANGELOG and a proper init script.  I have tested it on MRG-GA.
Comment 10 errata-xmlrpc 2009-02-04 10:27:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0034.html

Note You need to log in before you can comment on or make changes to this bug.